Bağlantılar
GET https://qr.gonce.tr/api/links/
curl --request GET \
--url 'https://qr.gonce.tr/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qr.gonce.tr/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| Parametreler | Detaylar | Açıklama |
|---|---|---|
| search | İsteğe Bağlı Metin (String) | Arama metni. |
| search_by | İsteğe Bağlı Metin (String) | Hangi alana göre arama yapıldığı. İzin verilen değerler: url, location_url. |
| is_enabled | İsteğe Bağlı Mantıksal (Boolean) | |
| domain_id | İsteğe Bağlı Tam Sayı (Integer) | |
| type | İsteğe Bağlı Metin (String) |
biolink, link, file, vcard, event, static |
| datetime_field | İsteğe Bağlı Metin (String) | İzin verilen değerler: datetime, last_datetime |
| datetime_start | İsteğe Bağlı Metin (String) | Sonuçları bu tarihten itibaren filtreleyin. Y-m-d H:i:s formatında. |
| datetime_end | İsteğe Bağlı Metin (String) | Sonuçları bu tarihe kadar filtreleyin. Y-m-d H:i:s formatında. |
| order_by | İsteğe Bağlı Metin (String) | Sonuçların hangi alana göre sıralanacağı. İzin verilen değerler: link_id, datetime, last_datetime, clicks, url. |
| order_type | İsteğe Bağlı Metin (String) | Sonuçların sıralama düzeni. İzin verilen değerler: Artan sıralama için ASC, azalan sıralama için DESC. |
| page | İsteğe Bağlı Tam Sayı (Integer) | Sonuçları almak istediğiniz sayfa numarası. Varsayılan: 1. |
| results_per_page | İsteğe Bağlı Tam Sayı (Integer) | Sayfa başına kaç sonuç istediğiniz. İzin verilen değerler: 10, 25, 50, 100, 250, 500, 1000. Varsayılan: 25. |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-06-05 17:26:45",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qr.gonce.tr/api/links?page=1",
"last": "https://qr.gonce.tr/api/links?page=1",
"next": null,
"prev": null,
"self": "https://qr.gonce.tr/api/links?page=1"
}
}
GET https://qr.gonce.tr/api/links/{link_id}
curl --request GET \
--url 'https://qr.gonce.tr/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qr.gonce.tr/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-06-05 17:26:45",
}
}
POST https://qr.gonce.tr/api/links
| Parametreler | Detaylar | Açıklama |
|---|---|---|
| type | İsteğe Bağlı Metin (String) | link |
| location_url | Gerekli Metin (String) | Hedef URL adresi.Kullanılabildiği durum: is_bulk = 0 |
| location_urls | Gerekli Metin (String) | Hedef URL adresi.Kullanılabildiği durum: is_bulk = 1 |
| url | İsteğe Bağlı Metin (String) | Oluşturulan bağlantının URL takma adı. Rastgele oluşturulması için boş bırakın.Kullanılabildiği durum: is_bulk = 0 |
| is_bulk | İsteğe Bağlı Mantıksal (Boolean) | |
| domain_id | İsteğe Bağlı Tam Sayı (Integer) | - |
| project_id | İsteğe Bağlı Tam Sayı (Integer) | - |
| pixels_ids | İsteğe Bağlı Dizi (Array) Tam Sayı (Integer) | - |
| email_reports | İsteğe Bağlı Dizi (Array) | Bildirim işleyici kimlikleri (ID) |
| schedule | İsteğe Bağlı Mantıksal (Boolean) | - |
| start_date | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: schedule = true |
| end_date | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: schedule = true |
| clicks_limit | İsteğe Bağlı Tam Sayı (Integer) | - |
| expiration_url | İsteğe Bağlı Metin (String) | - |
| sensitive_content | İsteğe Bağlı Mantıksal (Boolean) | - |
| http_status_code | İsteğe Bağlı Tam Sayı (Integer) | İzin verilen değerler: 301, 302, 307, 308 |
| app_linking_is_enabled | İsteğe Bağlı Mantıksal (Boolean) | - |
| cloaking_is_enabled | İsteğe Bağlı Mantıksal (Boolean) | - |
| cloaking_title | İsteğe Bağlı Metin (String) | - |
| cloaking_meta_description | İsteğe Bağlı Metin (String) | - |
| cloaking_custom_js | İsteğe Bağlı Metin (String) | - |
| cloaking_favicon | İsteğe Bağlı Dosya | - |
| cloaking_opengraph | İsteğe Bağlı Dosya | - |
| password | İsteğe Bağlı Metin (String) | - |
| forward_query_parameters_is_enabled | İsteğe Bağlı Mantıksal (Boolean) | - |
| seo_block | İsteğe Bağlı Mantıksal (Boolean) | - |
| utm_source | İsteğe Bağlı Metin (String) | - |
| utm_medium | İsteğe Bağlı Metin (String) | - |
| utm_campaign | İsteğe Bağlı Metin (String) | - |
| targeting_type | İsteğe Bağlı Metin (String) | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = continent_code |
| targeting_continent_code_value[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = continent_code |
| targeting_country_code_key[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = country_code |
| targeting_country_code_value[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = country_code |
| targeting_city_name_key[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = city_name |
| targeting_city_name_value[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = city_name |
| targeting_device_type_key[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = device_type |
| targeting_device_type_value[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = device_type |
| targeting_browser_language_key[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = browser_language |
| targeting_browser_language_value[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = browser_language |
| targeting_rotation_key[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = rotation |
| targeting_rotation_value[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = rotation |
| targeting_os_name_key[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = os_name |
| targeting_os_name_value[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = os_name |
| targeting_browser_name_key[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = browser_name |
| targeting_browser_name_value[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = browser_name |
curl --request POST \
--url 'https://qr.gonce.tr/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://qr.gonce.tr/' \
--url 'https://qr.gonce.tr/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://qr.gonce.tr/' \
{
"data": {
"id": 1
}
}
POST https://qr.gonce.tr/api/links/{link_id}
| Parametreler | Detaylar | Açıklama |
|---|---|---|
| location_url | İsteğe Bağlı Metin (String) | Hedef URL adresi. |
| url | İsteğe Bağlı Metin (String) | Oluşturulan bağlantının URL takma adı. Rastgele oluşturulması için boş bırakın. |
| domain_id | İsteğe Bağlı Tam Sayı (Integer) | - |
| project_id | İsteğe Bağlı Tam Sayı (Integer) | - |
| pixels_ids | İsteğe Bağlı Dizi (Array) Tam Sayı (Integer) | - |
| email_reports | İsteğe Bağlı Dizi (Array) | Bildirim işleyici kimlikleri (ID) |
| schedule | İsteğe Bağlı Mantıksal (Boolean) | - |
| start_date | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: schedule = true |
| end_date | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: schedule = true |
| clicks_limit | İsteğe Bağlı Tam Sayı (Integer) | - |
| expiration_url | İsteğe Bağlı Metin (String) | - |
| sensitive_content | İsteğe Bağlı Mantıksal (Boolean) | - |
| http_status_code | İsteğe Bağlı Tam Sayı (Integer) | İzin verilen değerler: 301, 302, 307, 308 |
| app_linking_is_enabled | İsteğe Bağlı Mantıksal (Boolean) | - |
| cloaking_is_enabled | İsteğe Bağlı Mantıksal (Boolean) | - |
| cloaking_title | İsteğe Bağlı Metin (String) | - |
| cloaking_meta_description | İsteğe Bağlı Metin (String) | - |
| cloaking_custom_js | İsteğe Bağlı Metin (String) | - |
| cloaking_favicon | İsteğe Bağlı Dosya | - |
| cloaking_opengraph | İsteğe Bağlı Dosya | - |
| password | İsteğe Bağlı Metin (String) | - |
| forward_query_parameters_is_enabled | İsteğe Bağlı Mantıksal (Boolean) | - |
| seo_block | İsteğe Bağlı Mantıksal (Boolean) | - |
| utm_source | İsteğe Bağlı Metin (String) | - |
| utm_medium | İsteğe Bağlı Metin (String) | - |
| utm_campaign | İsteğe Bağlı Metin (String) | - |
| targeting_type | İsteğe Bağlı Metin (String) | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = continent_code |
| targeting_continent_code_value[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = continent_code |
| targeting_country_code_key[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = country_code |
| targeting_country_code_value[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = country_code |
| targeting_city_name_key[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = city_name |
| targeting_city_name_value[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = city_name |
| targeting_device_type_key[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = device_type |
| targeting_device_type_value[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = device_type |
| targeting_browser_language_key[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = browser_language |
| targeting_browser_language_value[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = browser_language |
| targeting_rotation_key[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = rotation |
| targeting_rotation_value[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = rotation |
| targeting_os_name_key[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = os_name |
| targeting_os_name_value[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = os_name |
| targeting_browser_name_key[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = browser_name |
| targeting_browser_name_value[index] | İsteğe Bağlı Metin (String) | Kullanılabildiği durum: targeting_type = browser_name |
curl --request POST \
--url 'https://qr.gonce.tr/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://qr.gonce.tr/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://qr.gonce.tr/api/links/{link_id}
curl --request DELETE \
--url 'https://qr.gonce.tr/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qr.gonce.tr/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \